Package org.apache.qpid.proton.amqp.transport

# Class Attach

java.lang.Object
org.apache.qpid.proton.amqp.transport.Attach

All Implemented Interfaces:
  `FrameBody`

public final class Attach extends Object implements FrameBody

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.qpid.proton.amqp.transport.FrameBody

`FrameBody.FrameBodyHandler<E>`

## Constructor Summary

Constructors
Constructor
Description
`Attach()`
`Attach(Attach other)`

## Method Summary

Modifier and Type
Method
Description
`Attach`
`copy()`
`Symbol[]`
`getDesiredCapabilities()`
`UnsignedInteger`
`getHandle()`
`boolean`
`getIncompleteUnsettled()`
`UnsignedInteger`
`getInitialDeliveryCount()`
`UnsignedLong`
`getMaxMessageSize()`
`String`
`getName()`
`Symbol[]`
`getOfferedCapabilities()`
`Map`
`getProperties()`
`ReceiverSettleMode`
`getRcvSettleMode()`
`Role`
`getRole()`
`SenderSettleMode`
`getSndSettleMode()`
`Source`
`getSource()`
`Target`
`getTarget()`
`Map`
`getUnsettled()`
`<E> void`
`invoke(FrameBody.FrameBodyHandler<E> handler, Binary payload, E context)`
`void`
`setDesiredCapabilities(Symbol... desiredCapabilities)`
`void`
`setHandle(UnsignedInteger handle)`
`void`
`setIncompleteUnsettled(boolean incompleteUnsettled)`
`void`
`setInitialDeliveryCount(UnsignedInteger initialDeliveryCount)`
`void`
`setMaxMessageSize(UnsignedLong maxMessageSize)`
`void`
`setName(String name)`
`void`
`setOfferedCapabilities(Symbol... offeredCapabilities)`
`void`
`setProperties(Map properties)`
`void`
`setRcvSettleMode(ReceiverSettleMode rcvSettleMode)`
`void`
`setRole(Role role)`
`void`
`setSndSettleMode(SenderSettleMode sndSettleMode)`
`void`
`setSource(Source source)`
`void`
`setTarget(Target target)`
`void`
`setUnsettled(Map unsettled)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Attach

public Attach()

### Attach

public Attach(Attach other)

## Method Details

### getName

public String getName()

### setName

public void setName(String name)

### getHandle

public UnsignedInteger getHandle()

### setHandle

public void setHandle(UnsignedInteger handle)

### getRole

public Role getRole()

### setRole

public void setRole(Role role)

### getSndSettleMode

public SenderSettleMode getSndSettleMode()

### setSndSettleMode

public void setSndSettleMode(SenderSettleMode sndSettleMode)

### getRcvSettleMode

public ReceiverSettleMode getRcvSettleMode()

### setRcvSettleMode

public void setRcvSettleMode(ReceiverSettleMode rcvSettleMode)

### getSource

public Source getSource()

### setSource

public void setSource(Source source)

### getTarget

public Target getTarget()

### setTarget

public void setTarget(Target target)

### getUnsettled

public Map getUnsettled()

### setUnsettled

public void setUnsettled(Map unsettled)

### getIncompleteUnsettled

public boolean getIncompleteUnsettled()

### setIncompleteUnsettled

public void setIncompleteUnsettled(boolean incompleteUnsettled)

### getInitialDeliveryCount

public UnsignedInteger getInitialDeliveryCount()

### setInitialDeliveryCount

public void setInitialDeliveryCount(UnsignedInteger initialDeliveryCount)

### getMaxMessageSize

public UnsignedLong getMaxMessageSize()

### setMaxMessageSize

public void setMaxMessageSize(UnsignedLong maxMessageSize)

### getOfferedCapabilities

public Symbol[] getOfferedCapabilities()

### setOfferedCapabilities

public void setOfferedCapabilities(Symbol... offeredCapabilities)

### getDesiredCapabilities

public Symbol[] getDesiredCapabilities()

### setDesiredCapabilities

public void setDesiredCapabilities(Symbol... desiredCapabilities)

### getProperties

public Map getProperties()

### setProperties

public void setProperties(Map properties)

### invoke

public <E> void invoke(FrameBody.FrameBodyHandler<E> handler, Binary payload, E context)

Specified by:
  `invoke` in interface `FrameBody`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### copy

public Attach copy()

Specified by:
  `copy` in interface `FrameBody`
Returns:
  a deep copy of this FrameBody.